## ros-humble-resource-retriever 3.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(resource_retriever)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(ament_index_cpp REQUIRED)
# TODO(wjwwood): remove libcurl_vendor and just use system curl when possible
find_package(libcurl_vendor REQUIRED)

# TODO(wjwwood): split cpp and python apis into separate packages

add_library(${PROJECT_NAME} src/retriever.cpp)
target_include_directories(${PROJECT_NAME}
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
)
ament_target_dependencies(${PROJECT_NAME}
  ament_index_cpp
  libcurl_vendor
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "RESOURCE_RETRIEVER_BUILDING_LIBRARY")

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")

# Export modern CMake targets
ament_export_targets(${PROJECT_NAME} HAS_LIBRARY_TARGET)

# specific order: dependents before dependencies
ament_export_dependencies(ament_index_cpp)
ament_export_dependencies(libcurl_vendor)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_cppcheck
    ament_cmake_uncrustify
  )
  ament_lint_auto_find_test_dependencies()

  ament_cppcheck(LANGUAGE "c++")
  ament_uncrustify(LANGUAGE "C++")

  ament_add_gtest(${PROJECT_NAME}_test test/test.cpp)
  target_link_libraries(${PROJECT_NAME}_test ${PROJECT_NAME})

  # Python test
  # Provides PYTHON_EXECUTABLE_DEBUG
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)

  set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")
  if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
  endif()

  find_package(ament_cmake_pytest REQUIRED)
  ament_add_pytest_test(resource_retriever_python_test test/test.py
    PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}"
    APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
    TIMEOUT 60
  )

  set(PYTHON_EXECUTABLE "${_PYTHON_EXECUTABLE}")

  install(
    FILES test/test.txt
    DESTINATION share/${PROJECT_NAME}/test
  )
endif()

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-resource-retriever (3.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-resource-retriever (3.1.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#72 <https://github.com/ros/resource_retriever/issues/72>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-resource-retriever (3.0.0-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#69 <https://github.com/ros/resource_retriever/issues/69>)
  * Update maintainers (#66 <https://github.com/ros/resource_retriever/issues/66>)
  * Remove the deprecated retriever.h header (#63 <https://github.com/ros/resource_retriever/issues/63>)
  * Contributors: Audrow Nash, Chris Lalancette, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-resource-retriever (2.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-resource-retriever (2.4.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-resource-retriever (2.4.1-1jammy) jammy; urgency=high

  * Throw exception if package name is empty (#54 <https://github.com/ros/resource_retriever/issues/54>)
  * Update maintainers (#53 <https://github.com/ros/resource_retriever/issues/53>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-humble-resource-retriever (2.4.0-1jammy) jammy; urgency=high

  * Add .hpp header and deprecate .h (#51 <https://github.com/ros/resource_retriever/issues/51>)
  * Add pytest.ini so local tests don't display warning (#48 <https://github.com/ros/resource_retriever/issues/48>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Aug 2020 05:00:00 -0000

ros-humble-resource-retriever (2.3.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-humble-resource-retriever (2.3.1-1jammy) jammy; urgency=high

  * Import pytest before resource_retriever (#45 <https://github.com/ros/resource_retriever/issues/45>)
  * Use pytest instead of nose (#44 <https://github.com/ros/resource_retriever/issues/44>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-humble-resource-retriever (2.3.0-1jammy) jammy; urgency=high

  * Towards Quality Level 1 - Added common_linters and fixed tests  (#43 <https://github.com/ros/resource_retriever/issues/43>)
  * use ament_export_targets() (#41 <https://github.com/ros/resource_retriever/issues/41>)
  * Catch ament_index_cpp::PackageNotFoundError (#32 <https://github.com/ros/resource_retriever/issues/32>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-resource-retriever (2.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-humble-resource-retriever (2.1.1-1jammy) jammy; urgency=high

  * Changed to export resource retriever and to enable hooks. (#26 <https://github.com/ros/resource_retriever/issues/26>)
  * Contributors: Steven! Ragnarök

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-resource-retriever (2.1.0-1jammy) jammy; urgency=high

  * Make sure to export the include directory for resource_retriever. (#22 <https://github.com/ros/resource_retriever/issues/22>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 Jun 2018 05:00:00 -0000

ros-humble-resource-retriever (1.12.3-1jammy) jammy; urgency=high

  * Fix C++11 to use set_directory_properties
  * Make Shane and Chris the maintainers.
  * Python3 compatibility (#10 <https://github.com/ros/resource_retriever/issues/10>)
    * Replace urlgrabber with urllib[2]
    As urlgrabber is not supported for Python 3 replace it with either the built-in urllib (Python 2) or urllib2 (Python 3)
    * Use rospkg instead of system call for rospack
    * Add test for python functionality
    * Fix rospkg dependency definition
  * Update URL in http test to something which exists (#8 <https://github.com/ros/resource_retriever/issues/8>)
    * Update URL in http test to something which exists
  * Contributors: Chris Lalancette, Mike Purvis, Ruben Smits

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-humble-resource-retriever (1.12.2-1jammy) jammy; urgency=high

  * fix failing build due to cmake error (#6 <https://github.com/ros/resource_retriever/issues/6>)
  * Contributors: Jackie Kay

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 05:00:00 -0000

ros-humble-resource-retriever (1.12.1-1jammy) jammy; urgency=high

  * Fix warnings in test (#5 <https://github.com/ros/resource_retriever/issues/5>)
    add spaces around ROS_PACKAGE_NAME
  * Merge pull request #4 <https://github.com/ros/resource_retriever/issues/4> from DLu/kinetic-devel
    Add c++11 flag
  * Contributors: David V. Lu!!, Jackie Kay, Steven Peters

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 05:00:00 -0000

ros-humble-resource-retriever (1.12.0-1jammy) jammy; urgency=high

  * resource_retriever: adding missing dep
    Using the python resource_retriever requires the python-urlgrabber system dependency: http://rosindex.github.io/d/python-urlgrabber/
  * Contributors: Jonathan Bohren



=== debian/control ===
Source: ros-humble-resource-retriever
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-index-cpp, ros-humble-ament-index-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-libcurl-vendor, ros-humble-python-cmake-module <!nocheck>, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/resource_retriever
Standards-Version: 3.9.2

Package: ros-humble-resource-retriever
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-ament-index-python, ros-humble-libcurl-vendor, ros-humble-ros-workspace
Description: This package retrieves data from url-format files such as http://, ftp://, package:// file://, etc., and loads the data into memory.
 The package:// url for ros packages is translated into a local file:// url. The resourse retriever was initially designed to load mesh files into memory, but it can be used for any type of data. The resource retriever is based on the the libcurl library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-resource-retriever//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-resource-retriever 3.1.2

=== debian/changelog ===
ros-humble-resource-retriever (3.1.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-resource-retriever (3.1.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-resource-retriever (3.1.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#72 <https://github.com/ros/resource_retriever/issues/72>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-resource-retriever (3.0.0-1bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#69 <https://github.com/ros/resource_retriever/issues/69>)
  * Update maintainers (#66 <https://github.com/ros/resource_retriever/issues/66>)
  * Remove the deprecated retriever.h header (#63 <https://github.com/ros/resource_retriever/issues/63>)
  * Contributors: Audrow Nash, Chris Lalancette, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-resource-retriever (2.5.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-resource-retriever (2.4.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-resource-retriever (2.4.1-1bookworm) bookworm; urgency=high

  * Throw exception if package name is empty (#54 <https://github.com/ros/resource_retriever/issues/54>)
  * Update maintainers (#53 <https://github.com/ros/resource_retriever/issues/53>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-resource-retriever (2.4.0-1bookworm) bookworm; urgency=high

  * Add .hpp header and deprecate .h (#51 <https://github.com/ros/resource_retriever/issues/51>)
  * Add pytest.ini so local tests don't display warning (#48 <https://github.com/ros/resource_retriever/issues/48>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Aug 2020 16:00:00 -0000

ros-humble-resource-retriever (2.3.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-resource-retriever (2.3.1-1bookworm) bookworm; urgency=high

  * Import pytest before resource_retriever (#45 <https://github.com/ros/resource_retriever/issues/45>)
  * Use pytest instead of nose (#44 <https://github.com/ros/resource_retriever/issues/44>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-humble-resource-retriever (2.3.0-1bookworm) bookworm; urgency=high

  * Towards Quality Level 1 - Added common_linters and fixed tests  (#43 <https://github.com/ros/resource_retriever/issues/43>)
  * use ament_export_targets() (#41 <https://github.com/ros/resource_retriever/issues/41>)
  * Catch ament_index_cpp::PackageNotFoundError (#32 <https://github.com/ros/resource_retriever/issues/32>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-resource-retriever (2.2.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-humble-resource-retriever (2.1.1-1bookworm) bookworm; urgency=high

  * Changed to export resource retriever and to enable hooks. (#26 <https://github.com/ros/resource_retriever/issues/26>)
  * Contributors: Steven! Ragnarök

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-resource-retriever (2.1.0-1bookworm) bookworm; urgency=high

  * Make sure to export the include directory for resource_retriever. (#22 <https://github.com/ros/resource_retriever/issues/22>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Jun 2018 16:00:00 -0000

ros-humble-resource-retriever (1.12.3-1bookworm) bookworm; urgency=high

  * Fix C++11 to use set_directory_properties
  * Make Shane and Chris the maintainers.
  * Python3 compatibility (#10 <https://github.com/ros/resource_retriever/issues/10>)
    * Replace urlgrabber with urllib[2]
    As urlgrabber is not supported for Python 3 replace it with either the built-in urllib (Python 2) or urllib2 (Python 3)
    * Use rospkg instead of system call for rospack
    * Add test for python functionality
    * Fix rospkg dependency definition
  * Update URL in http test to something which exists (#8 <https://github.com/ros/resource_retriever/issues/8>)
    * Update URL in http test to something which exists
  * Contributors: Chris Lalancette, Mike Purvis, Ruben Smits

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Mar 2017 16:00:00 -0000

ros-humble-resource-retriever (1.12.2-1bookworm) bookworm; urgency=high

  * fix failing build due to cmake error (#6 <https://github.com/ros/resource_retriever/issues/6>)
  * Contributors: Jackie Kay

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 09 Jun 2016 16:00:00 -0000

ros-humble-resource-retriever (1.12.1-1bookworm) bookworm; urgency=high

  * Fix warnings in test (#5 <https://github.com/ros/resource_retriever/issues/5>)
    add spaces around ROS_PACKAGE_NAME
  * Merge pull request #4 <https://github.com/ros/resource_retriever/issues/4> from DLu/kinetic-devel
    Add c++11 flag
  * Contributors: David V. Lu!!, Jackie Kay, Steven Peters

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 09 Jun 2016 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-resource-retriever//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-resource-retriever//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-resource-retriever//opt/ros/humble/opt/resource_retriever/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
